## org.aspectj.lang.reflect
Interface PointcutBasedPerClause

All Superinterfaces:
  PerClause

    public interface PointcutBasedPerClause

extends PerClause

Representation of a pointcut based per-clause associated with an aspect (perthis/target/cflow/cflowbelow)

Method Summary
`PointcutExpression` `getPointcutExpression()` Get the associated pointcut expression

Methods inherited from interface org.aspectj.lang.reflect.PerClause
`getKind`

Method Detail

### getPointcutExpression

    PointcutExpression getPointcutExpression()

  Get the associated pointcut expression